%define pkg_name        String-Strip
%define pkg_version     1.01
%define rpm_pkg_version 1.01
%define rpm_pkg_release 4.n0i.4

Summary:       XS Module to remove white-space from strings
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BP/BPOWERS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
String::Strip is an XS extension that implements four white space removal
routines: StripSpace (remove all white space), StripLSpace (strip leading
white space), StripTSpace (strip trailing white space), and StripLTSpace
(strip leading and trailing white space). All four of these routines work
directly on the input argument, rather than passing back a result. The
routines tend to be roughly 30% faster than equivalent function regex code.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.01-4.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Tue Apr 18 2006 Marius Feraru <altblue@n0i.net> 1.01-3.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.01-2.n0i.2
- automatic rebuild (perl 5.8.8)

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 1.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
